std::_Maybe_get_result_type< _Functor, typename >(3cxx)

NAME
std::_Maybe_get_result_type< _Functor, typename > - If we have found a result_type, extract it.

SYNOPSIS

#include <refwrap.h>

Inherited by std::_Weak_result_type_impl< remove_cv< _Tp >::type >, std::_Weak_result_type_impl< remove_cv< _Functor >::type >, std::_Weak_result_type_impl< remove_cv< remove_cv< _Tp >::type >::type >, and std::_Weak_result_type_impl< _Functor >.

Detailed Description

  template<typename _Functor, typename = __void_t<>>
struct std::_Maybe_get_result_type< _Functor, typename >"If we have found a result_type, extract it.

Definition at line 112 of file refwrap.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.